diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/hash-function.h ns-3.45/src/core/model/hash-function.h
--- ns-3.44/src/core/model/hash-function.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/hash-function.h	2025-06-01 20:34:45.293701200 -0700
@@ -88,7 +88,9 @@
     virtual ~Implementation()
     {
     }
-}; // Hashfunction
+
+    // end of class Hash::Implementation
+};
 
 /*--------------------------------------
  *  Hash function implementation
@@ -146,7 +148,9 @@
 
   private:
     Hash32Function_ptr m_fp; /**< The hash function. */
-};                           // Hash32
+
+    // end of class Hash::Function::Hash32
+};
 
 /**
  * @ingroup hash
@@ -187,7 +191,9 @@
 
   private:
     Hash64Function_ptr m_fp; /**< The hash function. */
-};                           // Hash64<Hash64Function_ptr>
+
+    // end of class Hash::Function::Hash64
+};
 
 } // namespace Function
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/hash.h ns-3.45/src/core/model/hash.h
--- ns-3.44/src/core/model/hash.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/hash.h	2025-06-01 20:34:45.293701200 -0700
@@ -162,7 +162,9 @@
 
   private:
     Ptr<Hash::Implementation> m_impl; /**< Hash implementation. */
-};                                    // Hasher
+
+    // end of class Hasher
+};
 
 /*************************************************
  **  Global functions declarations
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/hash-murmur3.h ns-3.45/src/core/model/hash-murmur3.h
--- ns-3.44/src/core/model/hash-murmur3.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/hash-murmur3.h	2025-06-01 20:34:45.293701200 -0700
@@ -107,7 +107,8 @@
     std::size_t m_size64;
     /**@}*/
 
-}; // class Murmur3
+    // end of class Murmur3
+};
 
 } // namespace Function
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/int64x64-128.h ns-3.45/src/core/model/int64x64-128.h
--- ns-3.44/src/core/model/int64x64-128.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/int64x64-128.h	2025-06-01 20:34:45.293701200 -0700
@@ -446,8 +446,7 @@
     static uint128_t UmulByInvert(const uint128_t a, const uint128_t b);
 
     int128_t _v; //!< The Q64.64 value.
-
-}; // class int64x64_t
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/int64x64-cairo.h ns-3.45/src/core/model/int64x64-cairo.h
--- ns-3.44/src/core/model/int64x64-cairo.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/int64x64-cairo.h	2025-06-01 20:34:45.293701200 -0700
@@ -429,8 +429,7 @@
     static cairo_uint128_t UmulByInvert(const cairo_uint128_t a, const cairo_uint128_t b);
 
     cairo_int128_t _v; //!< The Q64.64 value.
-
-}; // class int64x64_t
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/int64x64.cc ns-3.45/src/core/model/int64x64.cc
--- ns-3.44/src/core/model/int64x64.cc	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/int64x64.cc	2025-06-01 20:34:45.294701000 -0700
@@ -96,8 +96,8 @@
         low *= 10;
         digit = low.GetHigh();
         NS_ASSERT_MSG((0 <= digit) && (digit <= 9),
-                      "digit " << digit << " out of range [0,9] "
-                               << " streaming out " << HEXHILOW(value.GetHigh(), value.GetLow()));
+                      "digit " << digit << " out of range [0,9] streaming out "
+                               << HEXHILOW(value.GetHigh(), value.GetLow()));
         low -= digit;
 
         oss << std::setw(1) << digit;
@@ -200,8 +200,8 @@
     {
         int digit = *rit - '0';
         NS_ASSERT_MSG((0 <= digit) && (digit <= 9),
-                      "digit " << digit << " out of range [0,9]"
-                               << " streaming in low digits \"" << str << "\"");
+                      "digit " << digit << " out of range [0,9] streaming in low digits \"" << str
+                               << "\"");
         low = (low + digit + round) / 10;
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/int64x64-double.h ns-3.45/src/core/model/int64x64-double.h
--- ns-3.44/src/core/model/int64x64-double.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/int64x64-double.h	2025-06-01 20:34:45.294701000 -0700
@@ -372,8 +372,7 @@
     /**@}*/
 
     long double _v; //!< The Q64.64 value.
-
-}; // class int64x64_t
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/length.h ns-3.45/src/core/model/length.h
--- ns-3.44/src/core/model/length.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/length.h	2025-06-01 20:34:45.294701000 -0700
@@ -607,7 +607,9 @@
 
   private:
     double m_value; //!< Length in meters
-};                  // class Length
+
+    // end of class Length
+};
 
 ATTRIBUTE_HELPER_HEADER(Length);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/log.cc ns-3.45/src/core/model/log.cc
--- ns-3.44/src/core/model/log.cc	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/log.cc	2025-06-01 20:34:45.294701000 -0700
@@ -475,8 +475,8 @@
                                << flag << "\" in env variable NS_LOG for component name "
                                << component);
             }
-        } // for flag
-    }     // for component
+        }
+    }
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/log.h ns-3.45/src/core/model/log.h
--- ns-3.44/src/core/model/log.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/log.h	2025-06-01 20:34:45.294701000 -0700
@@ -410,7 +410,8 @@
     std::string m_name; //!< LogComponent name.
     std::string m_file; //!< File defining this LogComponent.
 
-}; // class LogComponent
+    // end of class LogComponent
+};
 
 /**
  * Get the LogComponent registered with the given name.
@@ -458,6 +459,8 @@
 
     bool m_first{true}; //!< First argument flag, doesn't get `, `.
     std::ostream& m_os; //!< Underlying output stream.
+
+    // end of class ParameterLogger
 };
 
 template <typename T>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/matrix-array.cc ns-3.45/src/core/model/matrix-array.cc
--- ns-3.44/src/core/model/matrix-array.cc	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/matrix-array.cc	2025-06-01 20:34:45.294701000 -0700
@@ -13,6 +13,7 @@
 #if defined(__GNUC__) && !defined(__clang__)
 #pragma GCC diagnostic push
 #pragma GCC diagnostic ignored "-Wclass-memaccess"
+#pragma GCC diagnostic ignored "-Wunused-variable"
 #endif
 
 #include <Eigen/Dense>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/nstime.h ns-3.45/src/core/model/nstime.h
--- ns-3.44/src/core/model/nstime.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/nstime.h	2025-06-01 20:34:45.295701000 -0700
@@ -850,7 +850,8 @@
 
     int64_t m_data; //!< Virtual time value, in the current unit.
 
-}; // class Time
+    // end of class Time
+};
 
 namespace TracedValueCallback
 {
@@ -1498,7 +1499,8 @@
      */
     friend std::ostream& operator<<(std::ostream& os, const TimeWithUnit& timeU);
 
-}; // class TimeWithUnit
+    // end of class TimeWithUnit
+};
 
 /**
  * @ingroup time
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/object-base.cc ns-3.45/src/core/model/object-base.cc
--- ns-3.44/src/core/model/object-base.cc	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/object-base.cc	2025-06-01 20:34:45.295701000 -0700
@@ -174,8 +174,7 @@
                                                           << "'");
                 */
             }
-
-        } // for i attributes
+        }
         tid = tid.GetParent();
     } while (tid != ObjectBase::GetTypeId());
     NotifyConstructionCompleted();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/object-base.h ns-3.45/src/core/model/object-base.h
--- ns-3.44/src/core/model/object-base.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/object-base.h	2025-06-01 20:34:45.295701000 -0700
@@ -175,9 +175,10 @@
     /**
      * Get the most derived TypeId for this Object.
      *
-     * This method is typically implemented by ns3::Object::GetInstanceTypeId
-     * but some classes which derive from ns3::ObjectBase directly
-     * have to implement it themselves.
+     * This method is provided by ns3::Object::GetInstanceTypeId
+     * but classes which derive from ns3::ObjectBase directly
+     * have to implement it themselves.  Typically, this method should
+     * simply return the output of `GetTypeId()`.
      *
      * @return The TypeId associated to the most-derived type
      *          of this instance.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/object.h ns-3.45/src/core/model/object.h
--- ns-3.44/src/core/model/object.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/object.h	2025-06-01 20:34:45.295701000 -0700
@@ -135,7 +135,7 @@
     /** Destructor. */
     ~Object() override;
 
-    TypeId GetInstanceTypeId() const override;
+    TypeId GetInstanceTypeId() const final;
 
     /**
      * Get a pointer to the requested aggregated Object.  If the type of object
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/priority-queue-scheduler.h ns-3.45/src/core/model/priority-queue-scheduler.h
--- ns-3.44/src/core/model/priority-queue-scheduler.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/priority-queue-scheduler.h	2025-06-01 20:34:45.296701200 -0700
@@ -88,12 +88,12 @@
          */
         bool remove(const Scheduler::Event& ev);
 
-    }; // class EventPriorityQueue
+        // end of class EventPriorityQueue
+    };
 
     /** The event queue. */
     EventPriorityQueue m_queue;
-
-}; // class PriorityQueueScheduler
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/random-variable-stream.h ns-3.45/src/core/model/random-variable-stream.h
--- ns-3.44/src/core/model/random-variable-stream.h	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/random-variable-stream.h	2025-06-01 20:34:45.296701200 -0700
@@ -160,7 +160,8 @@
     /** The stream number for the RngStream. */
     int64_t m_stream;
 
-}; // class RandomVariableStream
+    // end of class RandomVariableStream
+};
 
 /**
  * @ingroup randomvariable
@@ -280,7 +281,8 @@
     /** The upper bound on values that can be returned by this RNG stream. */
     double m_max;
 
-}; // class UniformRandomVariable
+    // end of class UniformRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -335,7 +337,8 @@
     /** The constant value returned by this RNG stream. */
     double m_constant;
 
-}; // class ConstantRandomVariable
+    // end of class ConstantRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -465,7 +468,8 @@
     /** Indicates if the current sequence value has been properly initialized. */
     bool m_isCurrentSet;
 
-}; // class SequentialRandomVariable
+    // end of class SequentialRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -590,7 +594,8 @@
     /** The upper bound on values that can be returned by this RNG stream. */
     double m_bound;
 
-}; // class ExponentialRandomVariable
+    // end of class ExponentialRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -729,7 +734,8 @@
     /** The upper bound on values that can be returned by this RNG stream. */
     double m_bound;
 
-}; // class ParetoRandomVariable
+    // end of class ParetoRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -889,7 +895,8 @@
     /** The upper bound on values that can be returned by this RNG stream. */
     double m_bound;
 
-}; // class WeibullRandomVariable
+    // end of class WeibullRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1039,7 +1046,8 @@
     /** The algorithm produces two values at a time. Cache parameters for possible reuse.*/
     double m_y;
 
-}; // class NormalRandomVariable
+    // end of class NormalRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1188,7 +1196,8 @@
     /** The algorithm produces two values at a time. Cache parameters for possible reuse.*/
     double m_normal;
 
-}; // class LogNormalRandomVariable
+    // end of class LogNormalRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1310,7 +1319,8 @@
     /** The algorithm produces two values at a time. Cache parameters for possible reuse.*/
     double m_y;
 
-}; // class GammaRandomVariable
+    // end of class GammaRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1435,7 +1445,8 @@
     /** The lambda value for the Erlang distribution returned by this RNG stream. */
     double m_lambda;
 
-}; // class ErlangRandomVariable
+    // end of class ErlangRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1566,7 +1577,8 @@
     /** The upper bound on values that can be returned by this RNG stream. */
     double m_max;
 
-}; // class TriangularRandomVariable
+    // end of class TriangularRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1693,7 +1705,8 @@
     /** The normalization constant. */
     double m_c;
 
-}; // class ZipfRandomVariable
+    // end of class ZipfRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1795,7 +1808,8 @@
     /** Just for calculus simplifications. */
     double m_b;
 
-}; // class ZetaRandomVariable
+    // end of class ZetaRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -1882,7 +1896,8 @@
     /** Array of values to return in sequence. */
     double* m_data;
 
-}; // class DeterministicRandomVariable
+    // end of class DeterministicRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -2075,7 +2090,8 @@
      */
     bool m_interpolate;
 
-}; // class EmpiricalRandomVariable
+    // end of class EmpiricalRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -2178,7 +2194,8 @@
     /** The probability of success in each trial. */
     double m_probability;
 
-}; // class BinomialRandomVariable
+    // end of class BinomialRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -2271,7 +2288,8 @@
     /** The probability of success. */
     double m_probability;
 
-}; // class BernoulliRandomVariable
+    // end of class BernoulliRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -2377,7 +2395,8 @@
     /** The bound on values that can be returned by this RNG stream. */
     double m_bound;
 
-}; // class LaplacianRandomVariable
+    // end of class LaplacianRandomVariable
+};
 
 /**
  * @ingroup randomvariable
@@ -2499,7 +2518,8 @@
     /** The scale value of the Largest Extreme Value distribution. */
     double m_scale;
 
-}; // class LargestExtremeValueRandomVariable
+    // end of class LargestExtremeValueRandomVariable
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/show-progress.cc ns-3.45/src/core/model/show-progress.cc
--- ns-3.44/src/core/model/show-progress.cc	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/show-progress.cc	2025-06-01 20:34:45.296701200 -0700
@@ -70,8 +70,7 @@
     }
     Simulator::Cancel(m_event);
     Start();
-
-} // ShowProgress::SetInterval
+}
 
 void
 ShowProgress::SetTimePrinter(TimePrinter lp)
@@ -99,8 +98,7 @@
     NS_LOG_FUNCTION(this);
     m_event = Simulator::Schedule(m_vtime, &ShowProgress::CheckProgress, this);
     m_timer.Start();
-
-} // ShowProgress::ScheduleCheckProgress
+}
 
 void
 ShowProgress::GiveFeedback(uint64_t nEvents, int64x64_t ratio, int64x64_t speed)
@@ -131,8 +129,7 @@
     // Restore stream state
     m_os->precision(precision);
     m_os->flags(flags);
-
-} // ShowProgress::GiveFeedback
+}
 
 void
 ShowProgress::CheckProgress()
@@ -255,15 +252,14 @@
 
     // And do it again
     ScheduleCheckProgress();
-
-} // ShowProgress::CheckProgress
+}
 
 void
 ShowProgress::Start()
 {
     m_stamp.Stamp();
     (*m_os) << "Start wall clock: " << m_stamp.ToString() << std::endl;
-} // ShowProgress::Start
+}
 
 void
 ShowProgress::Stop()
@@ -271,6 +267,6 @@
     m_stamp.Stamp();
     (*m_os) << "End wall clock:  " << m_stamp.ToString()
             << "\nElapsed wall clock: " << m_stamp.GetInterval() << "s" << std::endl;
-} // ShowProgress::Stop
+}
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/show-progress.h ns-3.45/src/core/model/show-progress.h
--- ns-3.44/src/core/model/show-progress.h	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/show-progress.h	2025-06-01 20:34:45.296701200 -0700
@@ -181,8 +181,7 @@
     std::ostream* m_os;    //!< The output stream to use.
     bool m_verbose;        //!< Verbose mode flag
     uint64_t m_repCount;   //!< Number of CheckProgress events
-
-}; // class ShowProgress
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/simulator.h ns-3.45/src/core/model/simulator.h
--- ns-3.44/src/core/model/simulator.h	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/simulator.h	2025-06-01 20:34:45.297701100 -0700
@@ -522,7 +522,8 @@
      */
     static EventId m_stopEvent;
 
-}; // class Simulator
+    // end of class Simulator
+};
 
 /**
  * @ingroup simulator
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/system-path.cc ns-3.45/src/core/model/system-path.cc
--- ns-3.44/src/core/model/system-path.cc	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/system-path.cc	2025-06-01 20:34:45.297701100 -0700
@@ -374,8 +374,7 @@
 
     NS_LOG_LOGIC("file itself exists: " << file);
     return true;
-
-} // Exists()
+}
 
 std::string
 CreateValidSystemPath(const std::string path)
@@ -392,7 +391,7 @@
                        incompatible_characters,
                        "_");
     return valid_path;
-} // CreateValidSystemPath
+}
 
 } // namespace SystemPath
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/system-wall-clock-timestamp.h ns-3.45/src/core/model/system-wall-clock-timestamp.h
--- ns-3.44/src/core/model/system-wall-clock-timestamp.h	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/system-wall-clock-timestamp.h	2025-06-01 20:34:45.297701100 -0700
@@ -57,8 +57,7 @@
 
     /** Difference between the two previous time stamps. */
     std::time_t m_diff;
-
-}; // class SystemWallClockTimestamp
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/test.cc ns-3.45/src/core/model/test.cc
--- ns-3.44/src/core/model/test.cc	2025-03-09 16:55:49.363371100 -0700
+++ ns-3.45/src/core/model/test.cc	2025-06-01 20:34:45.297701100 -0700
@@ -776,10 +776,10 @@
         << "  --xml                  : format test run output as xml" << std::endl
         << "  --tempdir=DIR          : set temp dir for tests to store output files" << std::endl
         << "  --datadir=DIR          : set data dir for tests to read reference files" << std::endl
-        << "  --out=FILE             : send test result to FILE instead of standard "
-        << "output" << std::endl
-        << "  --append=FILE          : append test result to FILE instead of standard "
-        << "output" << std::endl;
+        << "  --out=FILE             : send test result to FILE instead of standard output"
+        << std::endl
+        << "  --append=FILE          : append test result to FILE instead of standard output"
+        << std::endl;
 }
 
 void
